{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"An existing rate can be updated by making a PUT request on the URL for\nthat rate. Only the fields provided in the `data` block will be updated;\nany unspecified fields will remain unchanged. (note that at this time, the only field that can be updated is the `rate` field.)\n\nReturns the complete updated rate record.","properties":{"path":{"type":"object","properties":{"rate_gid":{"type":"string","examples":["12345"],"description":"Globally unique identifier for the rate."}},"required":["rate_gid"],"additionalProperties":false},"query":{"type":"object","properties":{"opt_pretty":{"type":"boolean","examples":[true],"description":"Provides “pretty” output.\nProvides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."},"opt_fields":{"type":"array","items":{"type":"string","enum":["created_by","created_by.name","currency_code","parent","parent.name","parent.resource_subtype","rate","resource","resource.name"]},"examples":[["created_by","created_by.name","currency_code","parent","parent.name","parent.resource_subtype","rate","resource","resource.name"]],"description":"This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. Properties can include nested fields. To learn more, see the [input/output options guide](/docs/inputoutput-options#selecting-nested-fields)."}},"required":[],"additionalProperties":false},"body":{"type":"object","properties":{"data":{"$ref":"#/definitions/RateUpdateRequest"}}}},"required":["path","body"],"additionalProperties":false,"definitions":{"RateUpdateRequest":{"description":"A generic Asana Resource, containing a globally unique identifier.","type":"object","properties":{"rate":{"description":"The monetary value of the rate.","type":"number","examples":[100]}}}}},"name":"Update a rate","id":"asana.updaterate","example":{"path":{"rate_gid":"12345"},"body":{}},"maxRequests":1,"summary":false}}